Page 1 of 1

Database error after updating to 2.5.28 that can't be "fixed"

Posted: Sat Mar 17, 2018 10:03 pm
by bspcnc
I have been following the migration steps to go from Joomla 2.x to 3.x.
I got to the part where it says to "fix" the database if there are any errors. That means that I followed all of the steps to the point that i was able to click upgrade to 2.5.28 from 2.5.17 and my site now says it is 2.5.28
After that I went to the "extension manager" -> "Database" tab and found these errors below. I did not any custom components or modules or plugins except for the JCE Editor and I uninstalled any extra plugins it had.
So I do not know how to resolve this. I did read in one of your other posts that I could try finding the joomla.sql file in a complete installation zip file of joomla 2.5.28 and try to create this (newsfeeds) table using the SQL command in that file. However, even though I do see that table now in the database using phpmyadmin, I still get that error.

What can I do at this point to be able to get a good updated version of 2.5.28 so I can move on? I do use akeeba B/U and can completely start over if necessary. I am using a subfolder for my dev site.
thank you very much,
bc




Table 'jml_newsfeeds' does not have column 'access' with type 'int(10) unsigned'. (From file 1.7.1-2011-09-20.sql.)
Table 'jml_newsfeeds' does not have column 'alias' with type 'VARCHAR(255)'. (From file 1.7.3-2011-10-15.sql.)
Table 'jml_weblinks' does not have column 'alias' with type 'VARCHAR(255)'. (From file 1.7.3-2011-10-15.sql.)
Table 'jml_newsfeeds' does not have column 'alias' with type 'VARCHAR(255)'. (From file 1.7.4-2011-11-23.sql.)

Re: Database error after updating to 2.5.28 that can't be "fixed"

Posted: Sat Mar 17, 2018 11:24 pm
by Per Yngve Berg
Delete the files. They are for Joomla 1.7. Your database is probably up to date.